Bug 1101573 - (CVE-2018-14357) VUL-0: CVE-2018-14357: mutt,neomutt: They allow remote IMAP servers to execute arbitrary commands via backquote characters
(CVE-2018-14357)
VUL-0: CVE-2018-14357: mutt,neomutt: They allow remote IMAP servers to execut...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Major
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/210788/
CVSSv3:SUSE:CVE-2018-14357:8.8:(AV:N/...
:
Depends on:
Blocks: 1101428
  Show dependency treegraph
 
Reported: 2018-07-18 07:18 UTC by Karol Babioch
Modified: 2019-05-09 10:10 UTC (History)
4 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
quote-18515281.patch for SLES-11 (4.68 KB, text/plain)
2018-07-23 14:03 UTC, Dr. Werner Fink
Details
quote-e0131852.patch for SLES-11 (1.30 KB, text/plain)
2018-07-23 14:05 UTC, Dr. Werner Fink
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Karol Babioch 2018-07-18 07:18:34 UTC
CVE-2018-14357

An issue was discovered in Mutt before 1.10.1 and NeoMutt before 2018-07-16.
They allow remote IMAP servers to execute arbitrary commands via backquote
characters, related to the mailboxes command associated with an automatic
subscription.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-14357
https://github.com/neomutt/neomutt/commit/e52393740334443ae0206cab2d7caef381646725
Comment 3 Swamp Workflow Management 2018-07-18 08:50:32 UTC
This is an autogenerated message for OBS integration:
This bug (1101573) was mentioned in
https://build.opensuse.org/request/show/623577 Factory / mutt
Comment 7 Karol Babioch 2018-07-19 07:04:01 UTC
All supported codestreams seem to be affected by this:

- SUSE:SLE-10-SP3:Update
- SUSE:SLE-11:Update
- SUSE:SLE-12:Update
- SUSE:SLE-15:Update

Submissions are still missing for:

- SUSE:SLE-10-SP3:Update
- SUSE:SLE-11:Update
Comment 11 Dr. Werner Fink 2018-07-23 14:03:21 UTC
Created attachment 777753 [details]
quote-18515281.patch for SLES-11
Comment 12 Dr. Werner Fink 2018-07-23 14:05:14 UTC
Created attachment 777756 [details]
quote-e0131852.patch for SLES-11
Comment 15 Dr. Werner Fink 2018-07-24 13:13:59 UTC
(In reply to Karol Babioch from comment #7)

> Submissions are still missing for:
> 
> - SUSE:SLE-10-SP3:Update

There is no function cmd_parse_lsub() in imap/command.c nor there is the part in function imap_subscribe() in imap/imap.c which was affected in SLES-11 and up.
Comment 16 Dr. Werner Fink 2018-07-24 13:16:29 UTC
(In reply to Dr. Werner Fink from comment #15)
> (In reply to Karol Babioch from comment #7)
> 
> > Submissions are still missing for:
> > 
> > - SUSE:SLE-10-SP3:Update
> 
> There is no function cmd_parse_lsub() in imap/command.c nor there is the
> part in function imap_subscribe() in imap/imap.c which was affected in
> SLES-11 and up.

The patch is still needed as basis for next patch modifying imap_quote_string()
Comment 18 Swamp Workflow Management 2018-08-06 13:15:06 UTC
openSUSE-SU-2018:2212-1: An update that solves 16 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1094717,1101428,1101566,1101567,1101568,1101569,1101570,1101571,1101573,1101576,1101577,1101578,1101581,1101582,1101583,1101588,1101589
CVE References: CVE-2014-9116,CVE-2018-14349,CVE-2018-14350,CVE-2018-14351,CVE-2018-14352,CVE-2018-14353,CVE-2018-14354,CVE-2018-14355,CVE-2018-14356,CVE-2018-14357,CVE-2018-14358,CVE-2018-14359,CVE-2018-14360,CVE-2018-14361,CVE-2018-14362,CVE-2018-14363
Sources used:
openSUSE Leap 15.0 (src):    mutt-1.10.1-lp150.2.3.1
Comment 19 Swamp Workflow Management 2018-08-17 10:18:50 UTC
SUSE-SU-2018:2403-1: An update that solves 11 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1101567,1101570,1101571,1101573,1101576,1101577,1101578,1101581,1101582,1101588,1101589,936807
CVE References: CVE-2018-14349,CVE-2018-14350,CVE-2018-14352,CVE-2018-14353,CVE-2018-14354,CVE-2018-14355,CVE-2018-14356,CVE-2018-14357,CVE-2018-14358,CVE-2018-14359,CVE-2018-14362
Sources used:
SUSE Linux Enterprise Server 11-SP4 (src):    mutt-1.5.17-42.43.1
SUSE Linux Enterprise Server 11-SP3-LTSS (src):    mutt-1.5.17-42.43.1
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    mutt-1.5.17-42.43.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    mutt-1.5.17-42.43.1
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    mutt-1.5.17-42.43.1
Comment 21 Swamp Workflow Management 2018-09-11 06:01:24 UTC
An update workflow for this issue was started.
This issue was rated as important.
Please submit fixed packages until 2018-09-18.
When done, reassign the bug to security-team@suse.de.
https://swamp.suse.de/webswamp/wf/64138
Comment 22 Swamp Workflow Management 2019-01-07 15:41:04 UTC
This is an autogenerated message for OBS integration:
This bug (1101573) was mentioned in
https://build.opensuse.org/request/show/663361 42.3 / mutt
Comment 23 Swamp Workflow Management 2019-01-17 17:12:08 UTC
openSUSE-SU-2019:0052-1: An update that solves 16 vulnerabilities and has 6 fixes is now available.

Category: security (important)
Bug References: 1061343,1094717,1101428,1101566,1101567,1101568,1101569,1101570,1101571,1101573,1101576,1101577,1101578,1101581,1101582,1101583,1101588,1101589,1120935,980830,982129,986534
CVE References: CVE-2014-9116,CVE-2018-14349,CVE-2018-14350,CVE-2018-14351,CVE-2018-14352,CVE-2018-14353,CVE-2018-14354,CVE-2018-14355,CVE-2018-14356,CVE-2018-14357,CVE-2018-14358,CVE-2018-14359,CVE-2018-14360,CVE-2018-14361,CVE-2018-14362,CVE-2018-14363
Sources used:
openSUSE Leap 42.3 (src):    mutt-1.10.1-2.5.1
Comment 24 Marcus Meissner 2019-01-18 14:20:11 UTC
released
Comment 25 Swamp Workflow Management 2019-05-09 10:10:17 UTC
SUSE-SU-2019:1196-1: An update that solves 16 vulnerabilities and has 5 fixes is now available.

Category: security (important)
Bug References: 1061343,1094717,1101428,1101566,1101567,1101568,1101569,1101570,1101571,1101573,1101576,1101577,1101578,1101581,1101582,1101583,1101588,1101589,980830,982129,986534
CVE References: CVE-2014-9116,CVE-2018-14349,CVE-2018-14350,CVE-2018-14351,CVE-2018-14352,CVE-2018-14353,CVE-2018-14354,CVE-2018-14355,CVE-2018-14356,CVE-2018-14357,CVE-2018-14358,CVE-2018-14359,CVE-2018-14360,CVE-2018-14361,CVE-2018-14362,CVE-2018-14363
Sources used:
SUSE Linux Enterprise Server 12-SP3 (src):    mutt-1.10.1-55.6.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    mutt-1.10.1-55.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.